//
//  ColorSelectViewController.swift
//  prjAuxiliaryView
//
//  Created by 梅山 新一郎 on 2018/09/24.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa

class ColorSelectViewController: NSViewController {

    var informationFromMain = ("", "")
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do view setup here.
    }
    @IBOutlet weak var lblInformationFromMain: NSTextField!
    
    @IBOutlet weak var cmbColor: NSComboBox!
    
    override var representedObject: Any?{
        didSet{
            informationFromMain = representedObject as! (String, String)
        }
    }
    override func viewWillAppear() {
        lblInformationFromMain.stringValue =  "color:" + informationFromMain.1 + " from:" + informationFromMain.0
    }
    
    
    @IBAction func btnSendColor(_ sender: Any) {
        let mainVC = presentingViewController as! ViewController
        mainVC.passBackData(color: cmbColor.itemObjectValue(at: cmbColor.indexOfSelectedItem) as! String)
        dismiss(self)
    }
    @IBAction func btnCancel(_ sender: Any) {
        dismiss(self)
    }
    
}
