//
//  LineTypeSelectViewController.swift
//  prjAuxiliaryView
//
//  Created by 梅山 新一郎 on 2018/09/25.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa

class LineTypeSelectViewController: NSViewController {

    var informationFromMain = ("", "")
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do view setup here.
    }
    
    override var representedObject: Any?{
        didSet{
            informationFromMain = representedObject as! (String, String)
        }
    }
    override func viewWillAppear() {
        lblInformationFromMain.stringValue =  "line type:" + informationFromMain.1 + " from:" + informationFromMain.0
    }
    
    @IBOutlet weak var lblInformationFromMain: NSTextField!
    @IBOutlet weak var cmbLineType: NSComboBox!
    
    @IBAction func btnSendLineType(_ sender: Any) {
        let mainVC = presentingViewController as! ViewController
        mainVC.passBackData(line_type: cmbLineType.itemObjectValue(at: cmbLineType.indexOfSelectedItem) as! String)
        dismiss(self)
    }
    
    @IBAction func btnCancel(_ sender: Any) {
        dismiss(self)
    }
}
