//
//  ViewController.swift
//  prjBasic
//
//  Created by 梅山 新一郎 on 2018/08/27.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa

class ViewController: NSViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        dtpkTest.locale = Locale(identifier: "ja_JP")
        dtpkTest.dateValue = Date()
    }

    override var representedObject: Any? {
        didSet {
        // Update the view, if already loaded.
        }
    }

    
    @IBOutlet weak var lblOutput: NSTextField!
    
    @IBOutlet weak var txtInput: NSTextField!
    
    @IBAction func btnTest(_ sender: Any) {
        //lblOutput.stringValue = txtInput.stringValue
        let DF = DateFormatter()
        DF.dateFormat = "YYYY-MM-dd"
        DF.timeZone = NSTimeZone.local
        let YMD = DF.string(from: dtpkTest.dateValue)
        lblOutput.stringValue = YMD
        let Y_M_D = YMD.split(separator: "-")
        txtInput.stringValue = "今日は" + String(Y_M_D[0]) + "年の" + String(Y_M_D[1]) + "月" + String(Y_M_D[2]) + "日です"
    }
    
    @IBAction func btnTest2(_ sender: Any) {
        let d = txtInput.stringValue
        let df = DateFormatter()
        df.locale = Locale(identifier: "ja_JP")
        df.dateFormat = "yyyy-MM-dd"
        dtpkTest.dateValue = df.date(from: d)!
    }
    
    @IBOutlet weak var lblLongShortText: NSTextField!
    var swLong = true
    @IBAction func btnDisplayString(_ sender: NSButton) {
        if swLong {
            lblLongShortText.stringValue = "Long text Long text Long text Long text "
        }else{
            lblLongShortText.stringValue = "short"
        }
        swLong = !swLong
    }
    
    
    @IBOutlet weak var dtpkTest: NSDatePicker!
    
    @IBAction func rdbSelected(_ sender: NSButton) {
        txtInput.wantsLayer = true
        txtInput.layer?.borderWidth  = 2.0
        switch sender.tag{
        case 0:
            txtInput.layer?.borderColor = NSColor.red.cgColor
        case 1:
            txtInput.layer?.borderColor = NSColor.blue.cgColor
        case 2:
            txtInput.layer?.borderColor = NSColor.green.cgColor

        default:
            return
        }
    }
    
    
    
    
    
    
}

