//
//  DataModel.swift
//  prjPrintingWithView
//
//  Created by 梅山 新一郎 on 2018/10/09.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa


class DataModel{
    static let sharedInstance = DataModel()
    var testDataName:[String] = []
    var testDataAmount:[[Int]] = []
    
    private init(){
        readTestData()
    }
    
    
    func readTestData(){
        let cvsPath = Bundle.main.path(forResource: "testData", ofType: "csv")
        do{
            
            let csvStrData = try String(contentsOfFile: cvsPath!, encoding:String.Encoding.utf8)
            
            for line in csvStrData.split(separator: "\n"){
                
                var elm = line.split(separator: ",")
                testDataName.append(String(elm[0]))
                var X:[Int] = []
                for i in 1...13{
                    X.append(Int(String(elm[i].trimmingCharacters(in: .whitespaces)))!)
                }
                testDataAmount.append(X)
            }
        } catch let error {
            print(error)
        }
        
    }
}
