//
//  PrefsHimokuViewController.swift
//  sKakeibo
//
//  Created by 梅山 新一郎 on 2018/08/12.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa

class PrefsHimokuViewController: NSViewController,NSTableViewDataSource, NSTableViewDelegate {

    
    let DM = DataModel.sharedInstance
    //var himokuKoumokuSyoriNo = -1 // 1:新規追加、2：編集更新、 3:削除、 -1:なし
    var himokuKoumokuChangedSw = false
    var theHimokuKoumokuSyoriNo = 0 // 0:指定なし、1:費目の追加、2:内訳の追加、3:費目名称の編集、4:内訳名称の編集、5:費目の削除、6:内訳の削除
    
    override func viewWillAppear() {
        
        //self.view.window?.titleVisibility = .hidden
        //self.view.window?.titlebarAppearsTransparent = true
        //self.view.window?.styleMask.insert(.fullSizeContentView)
        self.view.window?.styleMask.remove(.closable)
        self.view.window?.styleMask.remove(.fullScreen)
        self.view.window?.styleMask.remove(.miniaturizable)
        self.view.window?.styleMask.remove(.resizable)
        
        //self.view.window?.isMovable = false
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        tblHimokuKoumoku.delegate = self
        tblHimokuKoumoku.dataSource = self
        
        himokuKoumokuBox.isHidden = true
        
    }
    
    var delegate: AnyObject?
    
    override func viewWillDisappear() {
        (delegate as! ViewController).himokuKoumokuChanged(
            himokuKoumokuChangedSw)
    }
    
    @IBAction func btnClose(_ sender: Any) {
        dismiss(self)
        
    }
    
    
    @IBAction func btnHimokuTuika(_ sender: Any) {
        theHimokuKoumokuSyoriNo = 1
        cmbHimokuSyubetuNo.stringValue = ""
        txtHimokuMeisyou.stringValue = ""
        txtUtiwakeMeisyou.stringValue = ""
        himokuKoumokuBox.isHidden = false
        himokuKoumokuBox.title = "費目の追加"
        himokuKoumokuEditable(syubetu: true, himoku: true, utiwake: false)
        btnHimokuKoumokuOkLabel.title = "この費目の追加の実行"
        btnHimokuKoumokuCancelLabel.title = "この追加の取消"
    }
    
    @IBAction func btnUtiwakeTuika(_ sender: Any) {
        let rowNo = tblHimokuKoumoku.selectedRow
        guard rowNo > -1 && DM.himokuList[rowNo].Ucount > 0 else{
            someMessageWithAlert("追加先の費目を選択してからにしてください ")
            return
        }
        theHimokuKoumokuSyoriNo = 2
        himokuKoumokuBox.isHidden = false
        himokuKoumokuBox.title = "内訳の追加"
        let d = DM.himokuList[rowNo]
        cmbHimokuSyubetuNo.selectItem(at: (d.SyubetuNo - 1))
        txtHimokuMeisyou.stringValue = d.Namae
        txtUtiwakeMeisyou.stringValue = ""
        txtHno.integerValue = d.Hno
        txtUcount.integerValue = d.Ucount
        himokuKoumokuEditable(syubetu: false, himoku: false, utiwake: true)
        btnHimokuKoumokuOkLabel.title = "この内訳の追加の実行"
        btnHimokuKoumokuCancelLabel.title = "この追加の取消"
}
    
    @IBAction func btnHimokuHensyuu(_ sender: Any) {
        let rowNo = tblHimokuKoumoku.selectedRow
        guard rowNo > -1  else{
            someMessageWithAlert("編集する費目または内訳項目を選択してからにしてください ")
            return
        }
        let d = DM.himokuList[rowNo]
        if d.Ucount > 0 { //費目の編集
            theHimokuKoumokuSyoriNo = 3
            himokuKoumokuBox.title = "費目名称の編集"
            cmbHimokuSyubetuNo.selectItem(at: (d.SyubetuNo - 1))
            txtHimokuMeisyou.stringValue = d.Namae
            txtHimokuKoumokuId.integerValue = d.Id
            txtHno.integerValue = d.Hno
            txtUcount.integerValue = d.Ucount
            himokuKoumokuEditable(syubetu: false, himoku: true, utiwake: false)
            btnHimokuKoumokuOkLabel.title = "この費目の編集更新の実行"
            btnHimokuKoumokuCancelLabel.title = "この更新の取消"
            
        }else{
            theHimokuKoumokuSyoriNo = 4
            himokuKoumokuBox.title = "内訳項目の編集"
            cmbHimokuSyubetuNo.selectItem(at: (d.SyubetuNo - 1))
            let huNamae = d.Namae.split(separator: "/")
            txtHimokuMeisyou.stringValue = String(huNamae[0])
            txtUtiwakeMeisyou.stringValue = String(huNamae[1])
            txtHimokuKoumokuId.integerValue = d.Id
            txtHno.integerValue = d.Hno
            himokuKoumokuEditable(syubetu: false, himoku: false, utiwake: true)
            btnHimokuKoumokuOkLabel.title = "この内訳の編集更新の実行"
            btnHimokuKoumokuCancelLabel.title = "この更新の取消"
        }
        
        himokuKoumokuBox.isHidden = false
    }
    
    
    @IBAction func btnHimokuSakujyo(_ sender: Any) {
        let rowNo = tblHimokuKoumoku.selectedRow
        guard rowNo > -1  else{
            someMessageWithAlert("削除する費目または内訳項目を選択してからにしてください ")
            return
        }
        let d = DM.himokuList[rowNo]
        if d.Ucount > 0 { //費目の削除
            theHimokuKoumokuSyoriNo = 5
            himokuKoumokuBox.title = "費目の削除"
            cmbHimokuSyubetuNo.selectItem(at: (d.SyubetuNo - 1))
            txtHimokuMeisyou.stringValue = d.Namae
            txtHimokuKoumokuId.integerValue = d.Id
            txtHno.integerValue = d.Hno
            txtUcount.integerValue = d.Ucount
            himokuKoumokuEditable(syubetu: false, himoku: false, utiwake: false)
            btnHimokuKoumokuOkLabel.title = "この費目の削除の実行"
            btnHimokuKoumokuCancelLabel.title = "この削除の取消"
            
        }else{
            theHimokuKoumokuSyoriNo = 6
            himokuKoumokuBox.title = "内訳項目の削除"
            cmbHimokuSyubetuNo.selectItem(at: (d.SyubetuNo - 1))
            let huNamae = d.Namae.split(separator: "/")
            txtHimokuMeisyou.stringValue = String(huNamae[0])
            txtUtiwakeMeisyou.stringValue = String(huNamae[1])
            txtHimokuKoumokuId.integerValue = d.Id
            txtHno.integerValue = d.Hno
            for dd in DM.himokuList{
                if dd.Id == d.Hno && dd.Ucount > 0{
                    txtUcount.integerValue = dd.Ucount
                    break
                }
            }
            guard txtUcount.integerValue > 1 else{
                someMessageWithAlert("費目には１つ以上の内訳が必要なので、この内訳の削除はできません。")
                return
            }
            himokuKoumokuEditable(syubetu: false, himoku: false, utiwake: false)
            btnHimokuKoumokuOkLabel.title = "この内訳の削除の実行"
            btnHimokuKoumokuCancelLabel.title = "この削除の取消"
        }
        
        himokuKoumokuBox.isHidden = false
    }
    
    
    func himokuKoumokuEditable(syubetu:Bool, himoku:Bool, utiwake:Bool){
        //cmbHimokuSyubetuNo.isEditable = syubetu
        //cmbHimokuSyubetuNo.isSelectable = syubetu
        cmbHimokuSyubetuNo.isEnabled = syubetu
        txtHimokuMeisyou.isEnabled = himoku
        txtUtiwakeMeisyou.isEnabled = utiwake
    }
    

    //for himokuKoumokuBox--------------------------
    
    @IBOutlet weak var himokuKoumokuBox: NSBox!
    
    @IBOutlet weak var txtHimokuKoumokuId: NSTextField!
    @IBOutlet weak var txtHno: NSTextField!
    @IBOutlet weak var txtUcount: NSTextField!
    
    @IBOutlet weak var lblHimokuKoumokuSyubetu: NSTextField!
    @IBOutlet weak var cmbHimokuSyubetuNo: NSComboBox!
    
    @IBOutlet weak var lblHimokuMeisyou: NSTextField!
    @IBOutlet weak var txtHimokuMeisyou: NSTextField!
    
    @IBOutlet weak var lblUtiwakleMeisyou: NSTextField!
    @IBOutlet weak var txtUtiwakeMeisyou: NSTextField!
    
    
    @IBOutlet weak var btnHimokuKoumokuOkLabel: NSButton!
    @IBAction func btnHimokuKoumokuOk(_ sender: Any) {

        let syubetuno = cmbHimokuSyubetuNo.indexOfSelectedItem + 1
        guard syubetuno > 0 else{
            someMessageWithAlert("種別番号が不正です")
            return
        }
        let fldHimokuName = txtHimokuMeisyou.stringValue.trimmingCharacters(in: .whitespacesAndNewlines)
        let fldUtiwakeName = txtUtiwakeMeisyou.stringValue.trimmingCharacters(in: .whitespacesAndNewlines)
        switch theHimokuKoumokuSyoriNo {
        case 1: //費目の追加
            guard !fldHimokuName.isEmpty else{
                someMessageWithAlert("費目の名前がありません？")
                return
            }
            guard DM.insertHimokuOfHiimoku(syubetuno, fldHimokuName)else{return}
        case 2: //内訳の追加
            guard !fldUtiwakeName.isEmpty else{
                someMessageWithAlert("内訳の名前がありません？")
                return
            }
            let namae = fldHimokuName + "/" + fldUtiwakeName
            guard DM.insertUtiwakeOfHimoku(syubetuno: syubetuno, utiwake: namae, hno: txtHno.integerValue , ucount0: txtUcount.integerValue) else{return}
        case 3: //費目名称の編集
            guard !fldHimokuName.isEmpty else{
                someMessageWithAlert("費目の名前がありません？")
                return
            }
            var uIds:[Int] = []; var uNamaes:[String] = []; let dId = txtHimokuKoumokuId.integerValue
            for dd in DM.himokuList{
                if dd.Hno == dId && dd.Ucount == 0{
                    uIds.append(dd.Id)
                    let s = dd.Namae.split(separator: "/");uNamaes.append(String(s[1]))
                }
            }
            guard DM.updateNamaeOfHimoku(id: dId, himokuNamae: fldHimokuName, utiwakeids: uIds, utiwakeNamaes: uNamaes)else{return}
        case 4: //内訳名称の編集
            guard !fldUtiwakeName.isEmpty else{
                someMessageWithAlert("内訳の名前がありません？")
                return
            }
//            txtHimokuMeisyou.stringValue = String(huNamae[0])
//            txtUtiwakeMeisyou.stringValue = String(huNamae[1])
//            txtHimokuKoumokuId.integerValue = d.Id
            let unamae = txtHimokuMeisyou.stringValue + "/" + txtUtiwakeMeisyou.stringValue
            guard DM.updateNamaeOfUtiwakeHimoku(id: txtHimokuKoumokuId.integerValue, namae: unamae)else{return}
        case 5: //費目の削除
            guard yesNoMessageWithAlert("この費目と内訳、それらの支出入データが全て削除されます。削除処理を続行しますか？", "削除する", "削除を中止する") else{return}
            var utiwakeIds:[Int] = []; let dhno = txtHno.integerValue
            for dd in DM.himokuList{
                if dd.Hno == dhno{
                    utiwakeIds.append(dd.Id)
                }
            }
            guard DM.deleteHimokuHimoku(himokuid: txtHimokuKoumokuId.integerValue, utiwakeids: utiwakeIds)else{return}
        case 6: //内訳の削除
            guard yesNoMessageWithAlert("この内訳、その支出入データが全て削除されます。削除処理を続行しますか？", "削除する", "削除を中止する") else{return}
            guard DM.deleteUtiwakeHimoku(id: txtHimokuKoumokuId.integerValue, hno: txtHno.integerValue, ucount: txtUcount.integerValue) else{return}
        default:
            someMessageWithAlert("error in IBAction func btnHimokuKoumokuOk")
            return
        }

        tblHimokuKoumoku.reloadData()

        himokuKoumokuChangedSw = true
        himokuKoumokuBox.isHidden = true

    }
    
    
    @IBOutlet weak var btnHimokuKoumokuCancelLabel: NSButton!
    @IBAction func btnHimokuKoumokuCancel(_ sender: Any) {
        
        himokuKoumokuBox.isHidden = true
    }
    
    
    
    
    
    //-------------------------- for himokuKoumokuBox
    
   
   
    
    
    
    
   // for table view -------------------------------------
    
    @IBOutlet weak var tblHimokuKoumoku: NSTableView!
    
    func numberOfRows(in tableView: NSTableView) -> Int {
        return DM.himokuList.count
    }
    
    func tableView(_ tableView: NSTableView, viewFor tableColumn: NSTableColumn?, row: Int) -> NSView? {
        guard let vw = tableView.makeView(withIdentifier: tableColumn!.identifier, owner: self) as? NSTableCellView else {return nil}
        
        switch tableColumn!.identifier.rawValue {
        case "himokuMark":
            if DM.himokuList[row].Ucount > 0{
                vw.textField?.stringValue = "＊"
            }else{
                vw.textField?.stringValue = ""
            }
            
        case "himokuMeisyou":
            vw.textField?.stringValue = DM.himokuList[row].Namae
        case "himokuSyubetuNo":
            vw.textField?.integerValue = DM.himokuList[row].SyubetuNo
            
        default:
            return nil
        }
        return vw
    }
    //--------------------------------------- for table view
    
    
    
    func someMessageWithAlert(_ message: String, _ textInfo:String = "information") {
        let alert = NSAlert()
        alert.messageText = message
        alert.informativeText = textInfo
        alert.runModal()
    }
    func yesNoMessageWithAlert(_ message:String, _ yesTitle:String, _ noTitle:String) -> Bool{
        //Yes: return true, No:return false
        let alert = NSAlert()
        alert.messageText = message
        alert.addButton(withTitle: yesTitle)// = 1000
        alert.addButton(withTitle: noTitle)   // = 1001
        if alert.runModal().rawValue == 1000{
            return true
        }else{
            return false
        }
    }
}
