//
//  ViewController.swift
//  prjPassDataBetweenVSs
//
//  Created by 梅山 新一郎 on 2018/09/10.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa

class ViewController: NSViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    override var representedObject: Any? {
        didSet {
        // Update the view, if already loaded.
        }
    }

    @IBAction func btnMessageAlert(_ sender: NSButton) {
        let alert = NSAlert()
        alert.messageText = "メッセージです"
        alert.informativeText = "情報テキストです"
        //alert.alertStyle = NSAlert.Style.critical
        //alert.icon = NSImage(named: NSImage.Name(rawValue: "warning.png"))
        alert.icon = NSImage(named: NSImage.Name(rawValue: "informational.png"))
        alert.runModal()
    }
    
    @IBOutlet weak var lblResponseFromAlert: NSTextField!
    @IBAction func btnResponceFromAlert(_ sender: NSButton) {
        let alert = NSAlert()
        alert.messageText = "どの言語がいいですか？"
        alert.informativeText = "ボタンを押してください"
        alert.addButton(withTitle: "Python") // 1000
        alert.addButton(withTitle: "Swift")   // 1001
        alert.addButton(withTitle: "Other")  // 1002
        
        alert.showsSuppressionButton = true
        
        let res = alert.runModal()
        
        lblResponseFromAlert.stringValue = String(res.rawValue)
        
        if alert.suppressionButton?.state == .on{
            lblResponseFromAlert.stringValue = lblResponseFromAlert.stringValue + " suppressionButtonChecked"}
        if res == NSApplication.ModalResponse.alertFirstButtonReturn{
            lblResponseFromAlert.stringValue = lblResponseFromAlert.stringValue + " first button"
        }
    }
    
    

    
    func someMessageWithAlert(_ message: String, _ textInfo:String = "information") {
        let alert = NSAlert()
        alert.messageText = message
        alert.informativeText = textInfo
        alert.runModal()
    }
    
    func yesNoMessageWithAlert(_ message:String, _ yesTitle:String, _ noTitle:String) -> Bool{
        //Yes: return true, No:return false
        let alert = NSAlert()
        alert.messageText = message
        alert.addButton(withTitle: yesTitle)// = 1000
        alert.addButton(withTitle: noTitle)   // = 1001
        if alert.runModal().rawValue == 1000{
            return true
        }else{
            return false
        }
    }
    
}

