//
//  ViewController.swift
//  prjPrintingWithView
//
//  Created by 梅山 新一郎 on 2018/10/09.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa

class ViewController: NSViewController,NSTableViewDataSource,NSTableViewDelegate {

    let DM = DataModel.sharedInstance
    
    override func viewDidLoad() {
        super.viewDidLoad()

        tblTestData.dataSource = self
        tblTestData.delegate = self
        
       
    }

    override var representedObject: Any? {
        didSet {
        // Update the view, if already loaded.
        }
    }

    @IBOutlet weak var cvwTestData: NSView!
    
    @IBAction func printOutTableView(_ sender:Any){
        let printInfo = NSPrintInfo.shared
        printInfo.scalingFactor = CGFloat(0.55)
        printInfo.orientation = NSPrintInfo.PaperOrientation(rawValue: 1)!
        printInfo.paperName = NSPrinter.PaperName("A4")
        let op = NSPrintOperation(view: cvwTestData, printInfo: printInfo)
        op.printPanel.options = NSPrintPanel.Options.showsPaperSize
        op.printPanel.options = NSPrintPanel.Options.showsPreview
        
        op.run()
    }
    @IBOutlet weak var tblTestData: NSTableView!
    
    func numberOfRows(in tableView: NSTableView) -> Int {
        return DM.testDataName.count
    }
    
    let dctTableColumnID = ["name":0, "m01":1  , "m02":2  , "m03":3  , "m04":4  , "m05":5  , "m06":6  , "m07":7  , "m08":8  , "m09":9  , "m10":10  , "m11":11  , "m12":12  , "total":13]
    func tableView(_ tableView: NSTableView, viewFor tableColumn: NSTableColumn?, row: Int) -> NSView? {
        guard let vw = tableView.makeView(withIdentifier: tableColumn!.identifier, owner: self) as? NSTableCellView else {return nil}

        if let idx = dctTableColumnID[(tableColumn?.identifier.rawValue)!] {
            if idx == 0{
              vw.textField?.stringValue = DM.testDataName[row]
            }else{
              vw.textField?.integerValue = DM.testDataAmount[row][idx - 1]
            }
        }else{
            return nil
        }

        return vw

    }
}

