//
//  SitenBViewController.swift
//  prjSplitView
//
//  Created by 梅山 新一郎 on 2018/09/21.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa

class SitenBViewController: NSViewController,NSTableViewDataSource, NSTableViewDelegate  {

    let DM = DataModel.sharedInstance
    
    override func viewDidLoad() {
        super.viewDidLoad()
        tblSitenB.dataSource = self
        tblSitenB.delegate = self
    }
    @IBOutlet weak var cmbTenmei: NSComboBox!
    
    @IBOutlet weak var txtKingaku: NSTextField!
    
    @IBAction func btnSoukin(_ sender: Any) {
        let idxTenmei = cmbTenmei.indexOfSelectedItem
        guard idxTenmei != -1 else{return}
        
        guard let spvc = parent as? NSSplitViewController else{return}
        
        if idxTenmei ==  0{ // from sitenB  to honten
            DM.soukin(sendFrom: "支点B", sendTo: "本店", kingaku: txtKingaku.integerValue)
            if let toVC = spvc.children[0] as? HontenViewController {
                toVC.refreshTable()
            }
        }else if idxTenmei == 1 { // from sitenB to sitenA
            DM.soukin(sendFrom: "支点B", sendTo: "支点A", kingaku: txtKingaku.integerValue)
            if let toVC = spvc.children[1] as? SitenAViewController {
                toVC.refreshTable()
            }
        }else{
            return
        }
        tblSitenB.reloadData()
    }
    func refreshTable(){
        tblSitenB.reloadData()
    }
    @IBOutlet weak var tblSitenB: NSTableView!
    
    func numberOfRows(in tableView: NSTableView) -> Int {
        return DM.sitenBList.count
    }
    
    func tableView(_ tableView: NSTableView, viewFor tableColumn: NSTableColumn?, row: Int) -> NSView? {
        guard let vw = tableView.makeView(withIdentifier: tableColumn!.identifier, owner: self) as? NSTableCellView else {return nil}
        
        switch tableColumn!.identifier.rawValue {
        case "tenmei":
            vw.textField?.stringValue = DM.sitenBList[row].namae
        case "kingaku":
            vw.textField?.integerValue = DM.sitenBList[row].kingaku
            
        default:
            return nil
        }
        return vw
    }
    
}
