//
//  TabViewController.swift
//  prjTabViewController
//
//  Created by 梅山 新一郎 on 2018/09/17.
//  Copyright © 2018年 Umeya. All rights reserved.
//

import Cocoa

class TabViewController: NSTabViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do view setup here.
    }
    
    override func tabView(_ tabView: NSTabView, didSelect tabViewItem: NSTabViewItem?) {
        
    }
    
    override func tabView(_ tabView: NSTabView, willSelect tabViewItem: NSTabViewItem?) {
        if let tItem = tabViewItem {
            let strID = tItem.identifier as! String
            
            switch strID {
            case "HontenTabView":
                let VC = tItem.viewController as! HontenViewController
                VC.lblTHisTabView.stringValue = "本店です"
                
            case "SitenATabView":
                let VC = tItem.viewController as! SitenAViewController
                VC.lblThisTabView.stringValue = "支店A"
            case "SitenBTabView":
                let VC = tItem.viewController as! SitenBViewController
                VC.lblThisTabView.stringValue = "支店B"
            default:
                // debug print
                print("default ")
                break
            }
        }
    }
    
}
